# manager.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/pres_ent.h>`
`#include <opal/call.h>`
`#include <opal/connection.h>`
`#include <opal/guid.h>`
`#include <codec/silencedetect.h>`
`#include <codec/echocancel.h>`
`#include <im/im.h>`
`#include <ptclib/pstun.h>`
`#include <ptclib/url.h>`
`#include <ptclib/pxml.h>`
`#include <ptclib/threadpool.h>`
`#include <ptlib/videoio.h>`

Include dependency graph for manager.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalConferenceState
struct | OpalConferenceState::URI
struct | OpalConferenceState::User
class | OpalManager
class | OpalManager::RouteEntry
struct | OpalManager::PortInfo
class | OpalManager::CallDict

## Defines

#define | OPAL_SCRIPT_CALL_TABLE_NAME "OpalCall"

## Typedefs

typedef std::list< OpalConferenceState > | OpalConferenceStates

## Functions

PString | OpalGetVersion ()
unsigned | OpalGetMajorVersion ()
unsigned | OpalGetMinorVersion ()
unsigned | OpalGetBuildNumber ()

## Define Documentation

#define OPAL_SCRIPT_CALL_TABLE_NAME "OpalCall"

## Typedef Documentation

typedef std::list<OpalConferenceState> OpalConferenceStates

## Function Documentation

unsigned OpalGetBuildNumber | ( |  | ) |

unsigned OpalGetMajorVersion | ( |  | ) |

unsigned OpalGetMinorVersion | ( |  | ) |

PString OpalGetVersion | ( |  | ) |